const home = r => require.ensure([], () => r(require('@/views/Home.vue')), 'Home'); //主页

export default [
  /* 研究图库 */
	{
		path: '/',
		component: home,
		name: 'ETA图库',
		hidden: false,
		icon_path: require('@/assets/img/home/data_ic.png'),
		children: [{
				path: 'chartsetting',
				component: () => import('@/views/dataEntry_manage/chartSetting.vue'),
				name: 'ETA图库',
				hidden: false,
			},
			{
				path: 'addchart',
				component: () => import('@/views/dataEntry_manage/addChart.vue'),
				name: '添加图表',
				hidden: true,
			},
			{
				path: 'editchart',
				component: () => import('@/views/dataEntry_manage/editChart.vue'),
				name: '编辑图表',
				hidden: true,
			},
		]
	},

	/* 数据指标库 */
	{
		path: '/',
		component: home,
		name: 'ETA指标库',
		hidden: false,
		icon_path: require('@/assets/img/home/data_ic.png'),
		children: [
			{
				path: 'database',
				component: () => import('@/views/dataEntry_manage/databaseList.vue'),
				name: 'ETA指标库',
				hidden: false,
			},
			{
				path: 'codecount',
				component: () => import('@/views/dataEntry_manage/codecount/index.vue'),
				name: '代码运算',
				hidden: true,
			},
			{
				path: 'adjustdata',
				component: () => import('@/views/dataEntry_manage/adjustdata/adjustData.vue'),
				name: '数据调整',
				hidden: true,
			},
		]
	},

	/* 我的图库 */
	{
		path: '/',
		component: home,
		name: 'My ETA',
		hidden: false,
		icon_path: require('@/assets/img/home/data_ic.png'),
		children: [{
				path: 'mychart',
				name: 'My ETA',
				component: () => import('@/views/mychart_manage/index.vue'),
				hidden: false,
			}
		]
	},

  /* ETA表格 */
	{
		path: '/',
		component: home,
		name: 'ETA表格',
		hidden: false,
		children:[
			{
				path:"sheetList",
				name:"在线Excel",
				component:()=>import('@/views/datasheet_manage/sheetList.vue')
			},
			{
				path:"sheetTimeList",
				name:"时间序列表格",
				component:()=>import('@/views/datasheet_manage/sheetList.vue')
			},
			{
				path:"sheetMixedList",
				name:"混合表格",
				component:()=>import('@/views/datasheet_manage/sheetList.vue')
			},
			{
				path:"addSheet",
				name:"添加表格",
				component:()=>import('@/views/datasheet_manage/addSheet.vue')
			},
			{
				path:"addCustomSheet",
				name:"添加表格",
				component:()=>import('@/views/datasheet_manage/customSheetEdit.vue')
			},
			{
				path:"addMixedSheet",
				name:"添加表格",
				component:()=>import('@/views/datasheet_manage/mixedSheetEdit.vue')
			},
			{
				path:"sheetAnalysisList",
				name:"自定义分析",
				component:()=>import('@/views/datasheet_manage/customAnalysis/list.vue')
			},
			{
				path:"addAnalysisSheet",
				name:"上传文件",
				component:()=>import('@/views/datasheet_manage/customAnalysis/addAnalysisSheet.vue')
			},
			{
				path:"createTaregtBySheet",
				name:"生成指标",
				component:()=>import('@/views/datasheet_manage/customAnalysis/addAnalysisSheet.vue')
			},
			{
				path:"lookTaregtBySheet",
				name:"查看指标",
				component:()=>import('@/views/datasheet_manage/customAnalysis/addAnalysisSheet.vue')
			},
		]
	},

  /* ETA沙盘 */
	{
		path: '/',
		component: home,
		name: 'ETA逻辑',
		hidden: false,
		children: [{
				path: "sandlist",
				name: 'ETA逻辑',
				component: () => import('@/views/sandbox_manage/index.vue'),
				hidden: false,
			},
			{
				path: "sandflow",
				component: () => import('@/views/sandbox_manage/sandFlow/index.vue'),
				hidden: true,
			}
		]
	},

  /* 预测指标 */
	{
		path:'/',
		component: home,
		name: 'ETA预测指标',
		hidden:  false,
		children: [
			{
				path: 'predictEdb',
				name: 'ETA预测指标',
				component:()=>import('@/views/predictEdb_manage/predictEdb.vue')
			},
			{
				path: 'addpredictEdb',
				name: '添加指标',
				component:()=>import('@/views/predictEdb_manage/addPredicEdb.vue'),
			},
			{
				path: 'editpredictEdb',
				name: '编辑指标',
				component:()=>import('@/views/predictEdb_manage/addPredicEdb.vue'),
			}
		]
	},

	/* 相关性图表 */
	{
		path:'/',
		component: home,
		name: '统计分析',
		hidden:  false,
		children: [
			{
				path: 'chartrelevance',
				name: '相关性分析',
				component:()=>import('@/views/chartRelevance_manage/list.vue')
			},
			{
				path: 'fittingEquationList',
				name: '拟合方程曲线',
				component:()=>import('@/views/chartRelevance_manage/fittingEquationList.vue')
			},
			{
				path: 'fittingEquationChartEditor',
				name: '添加图表',
				component: () => import('@/views/chartRelevance_manage/fittingEquationChartEditor.vue'),
				meta: { 
					pathFrom: "fittingEquationList",
          			pathName: "拟合方程曲线",
				}
			},
			{
				path: 'relevancechartEditor',
				name: '编辑图表',
				component:()=>import('@/views/chartRelevance_manage/relevanceChartEditor.vue'),
				meta: { 
					pathFrom: "chartrelevance",
          			pathName: "相关性图表",
				}
			},
			{
				path: 'statisticFeatureList',
				name: '统计特征',
				component: () => import('@/views/chartRelevance_manage/statisticFeatureList.vue')
			},
			{
				path: 'statisticFeatureChartEditor',
				name: '编辑图表',
				component:()=>import('@/views/chartRelevance_manage/statisticFeatureChartEditor.vue'),
				meta: { 
					pathFrom: "statisticFeatureList",
          			pathName: "统计特征",
				}
			}
		]
	},

	/* 持仓分析 */
	{
		path:'/',
		component: home,
		name: '持仓分析',
		hidden:  false,
		children: [
			{
				path: 'positionAnalysisList',
				name: '持仓列表',
				component:()=>import('@/views/positionAnalysis_manage/list.vue')
			},
			{
				path: 'positionAnalysisDetail',
				name: '持仓详情',
				component:()=>import('@/views/positionAnalysis_manage/detail.vue'),
			}
		]
	}
]